Bug 134413 - Previews in area bitmap dialog are shrinking after deleting/inserting new items
Summary: Previews in area bitmap dialog are shrinking after deleting/inserting new items
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2020-06-30 07:36 UTC by Telesto
Modified: 2020-09-15 11:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-06-30 07:36:40 UTC
Description:
Previews in area bitmap dialog are shrinking after deleting/inserting new items

Steps to Reproduce:
1. Open Draw
2. Right Click Properties
3. Background tab -> Bitmap
4. Right click a image -> delete 
5. Repeat

Actual Results:
Dialog of previews shrinks

Expected Results:
Same size please


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 006c65bbd472cb1d7d44e095714e28190b76be0d
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-06-30 07:37:25 UTC
Not in 6.4
Comment 2 Attila Baraksó (NISZ) 2020-07-01 06:55:22 UTC
Reproduced in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 8fe03ea93213bbb19b6ee9862a3966144f0df5cb
CPU szálak: 4; OS: Windows 10.0 Build 17134; Felületmegjelenítés: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 3 Attila Baraksó (NISZ) 2020-07-01 06:58:14 UTC
This was good with 7.1 oldest.

Bibisected using bibisect-win64-7-1. to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=b31bcdd8322b57dc0cd5b093b8f3e8e59b32c37e
author: Caolán McNamara <caolanm@redhat.com>
committer: Caolán McNamara <caolanm@redhat.com>
summary: Resolves: tdf#132966 flag scrollbar to reformat when QueueReformat called

Adding CC: Caolán McNamara
Comment 4 Telesto 2020-07-01 07:19:02 UTC
Maybe bug 134420 in the same run? Is about scrolling up after deleting an item
Comment 5 lol 2020-08-18 12:25:14 UTC
Also reproduced in 7.0.0

Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU-Threads: 4; BS: Windows 10.0 Build 18362; UI-Render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: threaded
Comment 6 R. Green 2020-09-01 12:24:47 UTC
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: en-GB (en_GB); UI: en-GB
Calc: threaded

Bug also present in Writer (Page style > Area).
Comment 7 R. Green 2020-09-01 12:26:23 UTC
Not only does the preview width shrink on importing an image, but also on delting the same image.
Comment 8 R. Green 2020-09-01 12:27:14 UTC
… Rectifies on closing and reopening the dialogue.
Comment 9 Commit Notification 2020-09-09 09:13:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/325faca502ffca43cf8cbb272fac2516bcb8eb55

tdf#134413 must add scrollbar width on turning it off to occupy the same space

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2020-09-09 09:17:44 UTC
we turn off the scrollbar to get it recalculated, but for themes/backends with a scrollbar we have to increase width temporarily to occupy the same width which will be reduced again if the scrollbar is restored. Fixed in master, backport to 7-0 in gerrit
Comment 11 Commit Notification 2020-09-11 19:50:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/51c17d2bdb35fdb4ab21a94d3bba40f97dc5c138

tdf#134413 must add scrollbar width on turning it off to occupy the same space

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Attila Baraksó (NISZ) 2020-09-15 11:17:38 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: abcc4eb907661e07ad850ccce7eb06f129da4286
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

@Caolán: Thanks for fixing this issue!